<template>
  <div id="setting-page">
    <!-- <main-header></main-header> -->

    <div class="container py-5">
      <div class="row mb-4">
        <div class="col col-3">
          <label for="st-sound" class="form-label fw-bold">Sound</label>
        </div>
        <div class="col col-7">
          <input type="range" class="form-range" min="0" max="5" id="st-sound" />
        </div>
      </div>
      <div class="row mb-4">
        <div class="col col-3">
          <label class="form-check-label fw-bold" for="st-noti">Notification</label>
        </div>
        <div class="col col-7">
          <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" id="st-noti" />
          </div>
        </div>
      </div>
      <div class="row mb-4">
        <div class="col col-3 fw-bold">Wallet Address</div>
        <div class="col col-7 text-danger">qweuri812347612364</div>
      </div>
      <div class="row mb-4">
        <div class="col">
          <button class="btn btn-danger px-4 py-2 rounded-pill" @click="signOut">Sign out</button>
        </div>
      </div>
    </div>

    <!-- <main-footer></main-footer> -->
  </div>
</template>

<script>
// import MainHeader from "../components/MainHeader.vue";
// import MainFooter from "../components/MainFooter.vue";

export default {
  components: {
    // MainHeader,
    // MainFooter
  },
  methods: {
    signOut() {
      localStorage.removeItem("user");
      localStorage.removeItem("token");

      this.$router.push("/signin").catch(() => {});
    }
  }
};
</script>

<style scoped></style>
